Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# TAO_PSDL_Switch_Body Class Reference

**************************************************************** More...

`#include <PSDL_Node.h>`

Inheritance diagram for TAO_PSDL_Switch_Body:

[legend]
Collaboration diagram for TAO_PSDL_Switch_Body:

[legend]
List of all members.

## Public Methods

| TAO_PSDL_Switch_Body (TAO_PSDL_Node *switch_case)
| ****************************************************************
| TAO_PSDL_Switch_Body (TAO_PSDL_Node *switch_case, TAO_PSDL_Node *switch_body)
virtual | ~TAO_PSDL_Switch_Body (void)
TAO_PSDL_Node * | switch_case (void) const
| Get the value.
TAO_PSDL_Node * | switch_body (void) const
int | accept (TAO_PSDL_Node_Visitor *visitor)
| = The Node methods.

## Private Attributes

TAO_PSDL_Node * | switch_case_
| The values.
TAO_PSDL_Node * | switch_body_

## Detailed Description

****************************************************************

## Constructor & Destructor Documentation

TAO_PSDL_Switch_Body::TAO_PSDL_Switch_Body | ( | TAO_PSDL_Node * | switch_case | ) |

| ****************************************************************

TAO_PSDL_Switch_Body::TAO_PSDL_Switch_Body | ( | TAO_PSDL_Node * | switch_case,
|  | TAO_PSDL_Node * | switch_body
| ) |

TAO_PSDL_Switch_Body::~TAO_PSDL_Switch_Body | ( | void |  | ) | `[virtual]`

## Member Function Documentation

int TAO_PSDL_Switch_Body::accept | ( | TAO_PSDL_Node_Visitor * | visitor | ) | `[virtual]`

| = The Node methods. Implements TAO_PSDL_Node.

TAO_PSDL_Node * TAO_PSDL_Switch_Body::switch_body | ( | void |  | ) | const

TAO_PSDL_Node * TAO_PSDL_Switch_Body::switch_case | ( | void |  | ) | const

| Get the value.

## Member Data Documentation

TAO_PSDL_Node* TAO_PSDL_Switch_Body::switch_body_`[private]`

TAO_PSDL_Node* TAO_PSDL_Switch_Body::switch_case_`[private]`

| The values.

The documentation for this class was generated from the following files:

- PSDL_Node.h
- PSDL_Node.cpp